<?php
/**
 * Unirgy LLC
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.unirgy.com/LICENSE-M1.txt
 *
 * @category   Unirgy
 * @package    Unirgy_DropshipLocator
 * @copyright  Copyright (c) 2008-2009 Unirgy LLC (http://www.unirgy.com)
 * @license    http:///www.unirgy.com/LICENSE-M1.txt
 */
 
$this->startSetup();

$conn = $this->_conn;

$vt = $this->getTable('udropship_vendor');
$lt = $this->getTable('ustorelocator_location');

$conn->addColumn($vt, 'main_location_id', 'int unsigned');
$conn->addConstraint('FK_UDROPSHIP_USTORELOCATOR_LOCATION', $vt, 'main_location_id', $lt, 'location_id', 'set null', 'set null');


$conn->addColumn($lt, 'udropship_vendor', 'int unsigned');
$conn->addConstraint('FK_USTORELOCATOR_UDROPSHIP_VENDOR', $lt, 'udropship_vendor', $vt, 'vendor_id');

$this->endSetup();